/*		@(#)label.h	1.1 Stellar 89/02/09	*/
/*
			Copyright 1989 by
			Stellar Computer Inc.
			All Rights Reserved
	
	This software comprises unpublished confidential information of
	Stellar Computer Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.
*/
/*
 * LUI Label header
 */

#ifndef _LUI_LABEL_HEADER

#ifdef LUI_LABEL_DECLARE
# define LUI_LABEL_GLOBAL  /* */
# define LUI_LABEL_INIT(v) = v
#else
# define LUI_LABEL_GLOBAL  extern
# define LUI_LABEL_INIT(v) /* */
#endif

#define LUI_LABEL_MAX_ARGSIZE  128

#define LUI_LABEL_COL_TEXT     0
#define LUI_LABEL_COL_LINES    1
#define LUI_LABEL_COL_LEFT     2
#define LUI_LABEL_COL_TOP      3
#define LUI_LABEL_COL_RIGHT    4
#define LUI_LABEL_COL_BOTTOM   5
#define LUI_LABEL_COL_FRONT    6
#define LUI_LABEL_COL_HILITE1  7
#define LUI_LABEL_COL_HILITE2  8

typedef struct lui_label {
    char           name[64];
    Window         window;
    int            image, image_on;
    unsigned long  background_color;
    unsigned long  color[16];
    XEvent        *event;
    int            x, y;
    int            width, height;
    int            argc;
    char         **argv;
    int            argsize[LUI_LABEL_MAX_ARGSIZE];
    int            drop_shadow;
    int            border_size;
    int            visible, hiding;
    XFontStruct   *font;
    int            font_yoff;
    int         ((*func)());
    int         ((*draw_func)());
    int            text_drop_shadow;
    char          *data;
    char          *owner;
    struct lui_label *np;
} LUI_LABEL;

LUI_LABEL_GLOBAL LUI_LABEL
  *LUI_LabelHead LUI_LABEL_INIT ( NULL ),
  *LUI_Label     LUI_LABEL_INIT ( NULL );

LUI_LABEL_GLOBAL int 
  LUI_LabelX, LUI_LabelY, LUI_LabelWidth, LUI_LabelHeight,
  LUI_Label_pad_width, LUI_Label_pad_height;

LUI_LABEL_GLOBAL Window
  LUI_LabelWindow;

LUI_LABEL 
  *LUI_LabelLookupWindow(),
  *LUI_LabelLookupName(),
  *LUI_LabelCreate(),
  *LUI_LabelOpen();

#endif  _LUI_LABEL_HEADER
#define _LUI_LABEL_HEADER 1
